## OobsIfacesConfig

OobsIfacesConfig — Object that represents network interfaces configuration

## Functions

OobsObject * | oobs_ifaces_config_get ()
OobsList * | oobs_ifaces_config_get_ifaces ()
GList * | oobs_ifaces_config_get_available_configuration_methods ()
GList * | oobs_ifaces_config_get_available_key_types ()
GList * | oobs_ifaces_config_get_available_ppp_types ()

## Object Hierarchy

        GEnum
        ╰── OobsIfaceType
        GObject
        ╰── OobsObject
            ╰── OobsIfacesConfig

## Description

## Functions

### oobs_ifaces_config_get ()

    OobsObject *
    oobs_ifaces_config_get (void);

Returns the OobsIfacesConfig singleton, which represents the network interfaces and their configuration.

#### Returns

the singleton OobsIfacesConfig object.

### oobs_ifaces_config_get_ifaces ()

    OobsList *
    oobs_ifaces_config_get_ifaces (OobsIfacesConfig *config,
                                   OobsIfaceType type);

Returns an OobsList containing the interfaces that match the type defined by `type` .

#### Parameters

config | An OobsIfacesConfig. |
type | An OobsIfaceType. |

#### Returns

An OobsList, you must not unref this object.

### oobs_ifaces_config_get_available_configuration_methods ()

    GList *
    oobs_ifaces_config_get_available_configuration_methods
                                   (OobsIfacesConfig *config);

Retrieves the list of available configuration methods for ethernet based interfaces.

#### Parameters

config | An OobsIfaceConfig. |

#### Returns

A GList of strings. This must not be modified or freed.

### oobs_ifaces_config_get_available_key_types ()

    GList *
    oobs_ifaces_config_get_available_key_types
                                   (OobsIfacesConfig *config);

Retrieves the list of available key types methods for wireless interfaces.

#### Parameters

config | An OobsIfaceConfig. |

#### Returns

A GList of strings. This must not be modified or freed.

### oobs_ifaces_config_get_available_ppp_types ()

    GList *
    oobs_ifaces_config_get_available_ppp_types
                                   (OobsIfacesConfig *config);

Retrieves the list of available PPP interface types.

#### Parameters

config | An OobsIfaceConfig. |

#### Returns

A GList of strings. This must not be modified or freed.

## See Also

OobsIface, OobsIfaceEthernet, OobsIfaceIRLan, OobsIfacePlip, OobsIfacePPP, OobsIfaceWireless